Remove subscriber by email
import { ParagraphAPI } from "@paragraph-com/sdk"
const api = new ParagraphAPI({ apiKey: "your-api-key" })
await api.subscribers.remove({ email: "reader@example.com" })curl -X DELETE "https://public.api.paragraph.com/api/v1/subscribers" \
-H "Authorization: Bearer your-api-key" \
-H "Content-Type: application/json" \
-d '{"email": "reader@example.com"}'import requests
url = "https://public.api.paragraph.com/api/v1/subscribers"
payload = {
"email": "jsmith@example.com",
"wallet": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com', wallet: '<string>'})
};
fetch('https://public.api.paragraph.com/api/v1/subscribers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"success": false,
"msg": "<string>"
}{
"success": false,
"msg": "<string>"
}{
"success": false,
"msg": "<string>"
}{
"success": false,
"msg": "<string>"
}subscribers
Remove a subscriber
Remove a subscriber from your publication. The publication is identified by the API key provided in the Authorization header. Identify the subscriber by email, wallet, or both.
Requirements:
- At least one of
emailorwalletmust be provided - If both are provided, they must resolve to the same subscriber
Behavior:
- The subscription is hard-deleted, mirroring the dashboard’s “remove subscriber” action
DELETE
/
v1
/
subscribers
Remove subscriber by email
import { ParagraphAPI } from "@paragraph-com/sdk"
const api = new ParagraphAPI({ apiKey: "your-api-key" })
await api.subscribers.remove({ email: "reader@example.com" })curl -X DELETE "https://public.api.paragraph.com/api/v1/subscribers" \
-H "Authorization: Bearer your-api-key" \
-H "Content-Type: application/json" \
-d '{"email": "reader@example.com"}'import requests
url = "https://public.api.paragraph.com/api/v1/subscribers"
payload = {
"email": "jsmith@example.com",
"wallet": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com', wallet: '<string>'})
};
fetch('https://public.api.paragraph.com/api/v1/subscribers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"success": false,
"msg": "<string>"
}{
"success": false,
"msg": "<string>"
}{
"success": false,
"msg": "<string>"
}{
"success": false,
"msg": "<string>"
}Authorizations
API key for authenticating protected endpoints. Pass as Bearer token in Authorization header.
Body
application/json
Body
Response
Subscriber removed successfully
Whether the subscriber was removed
Available options:
true ⌘I

